Bug 625394 - system-config-bind is IPV6 broken
system-config-bind is IPV6 broken
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Jaroslav Reznik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-19 06:13 EDT by Sylvain Arth
Modified: 2011-06-28 10:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:24:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sylvain Arth 2010-08-19 06:13:35 EDT
Description of problem:

Cannot create any user defined (either dynamic or static) IPV6 PTR Zone but 0::/128 

Cannot manually setup any IPV6 mask (only predefined 128 is allowed)
Cannot add any AAAA record to any user defined TRANSFER zone 
Cannot add any IPV6 PTR record

Version-Release number of selected component (if applicable):
Never worked was already broken FEDORA 12 and is FEDORA 13 broken still

Any attempt to modify the files to add such record or zone) out of system-config-bind (even with named daemon down) leads to crash of system-config-bind a last when it not corrupts db files (text) known by system-config-bind

How reproducible:


Steps to Reproduce:

1. Create a zone example.mydomain
2. Add a A record myhost.example.mydomain
3. Add a AAAA record for same host

or

1. Create IPV6 reverse Zone with any less than 128 mask (e.g. 64 in my own case)
  
Actual results:

Nothing created, displaying corrupted (some zones seem to have disappeared)
Possibly corrupted (empty file) transfer zone file (the one you try to add a AAAA record)

Expected results:
Being able to manage IPV6 stuff naturally

Additional info:
webmin does the job (but heavy load  on old computer like mine) why doesn't system-config-bind ?
Comment 1 David 2011-01-04 18:56:57 EST
It's broken also on F14

Same issues

https://bugzilla.redhat.com/show_bug.cgi?id=667255

But I created them manually, now system-config-bind crashes when you open it.

You mentioned webmin is this in the repos?
Comment 2 Bug Zapper 2011-06-01 07:09:00 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-28 10:24:46 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.